jinterface hides root exception on connect

Mark Pollack <>
Mon Sep 27 17:33:09 CEST 2010


The following catch statement in jinterface's AbstractConnection.doConnect method

      } catch (final Exception e) {
          throw new IOException("Cannot connect to peer node");

Is hiding some good information making it difficult for users of my library (which uses jinterface) to diagnose connection errors.  Can you please propagate the underlying root exception when throwing the IOException.

I am using jinterface 1.5.3 as it is available in the public maven repository.


More information about the erlang-bugs mailing list